Last Comment Bug 747393 - JarMaker.py races - "OSError: [Errno 17] File exists: '../../dist/bin/chrome/browser/content/browser'"
: JarMaker.py races - "OSError: [Errno 17] File exists: '../../dist/bin/chrome/...
Status: RESOLVED FIXED
:
Product: Core
Classification: Components
Component: Build Config (show other bugs)
: unspecified
: All All
: -- normal (vote)
: mozilla16
Assigned To: Mike Hommey [:glandium]
:
Mentors:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2012-04-20 07:49 PDT by Joey Armstrong [:joey]
Modified: 2013-04-04 23:07 PDT (History)
3 users (show)
See Also:
Crash Signature:
(edit)
QA Whiteboard:
Iteration: ---
Points: ---
Has Regression Range: ---
Has STR: ---
fixed
fixed


Attachments
Avoid race condition creating directories in JarMaker (1.81 KB, patch)
2012-06-12 05:56 PDT, Mike Hommey [:glandium]
ted: review+
lukasblakk+bugs: approval‑mozilla‑aurora+
lukasblakk+bugs: approval‑mozilla‑beta+
Details | Diff | Review

Description Joey Armstrong [:joey] 2012-04-20 07:49:24 PDT
macosx64 / opt was the only failing platform.  Race condition ?

builder: try-macosx64
slave: bld-lion-r5-035
starttime: 1334874595.23
results: failure (2)
buildid: 20120419153003
builduid: 1f95d08c5c5d4eb0b225094ed11c7ad3
revision: d2155ee870dd

https://tbpl.mozilla.org/php/getParsedLog.php?id=11052299&tree=Try

make -C src libs
nsPrivateBrowsingServiceWrapper.cpp
/usr/local/bin/ccache /usr/bin/g++-4.2 -arch x86_64 -o nsPrivateBrowsingServiceWrapper.o -c  -fvisibility=hidden -DOSTYPE=\"Darwin11.2.0\" -DOSARCH=Darwin -I/builds/slave/try-osx64/build/browser/components/privatebrowsing/src/../../build -I/builds/slave/try-osx64/build/browser/components/privatebrowsing/src -I. -I../../../../dist/include -I../../../../dist/include/nsprpub  -I/builds/slave/try-osx64/build/obj-firefox/x86_64/dist/include/nspr -I/builds/slave/try-osx64/build/obj-firefox/x86_64/dist/include/nss      -fPIC  -fno-rtti -Wall -Wpointer-arith -Woverloaded-virtual -Werror=return-type -Wempty-body -Wno-ctor-dtor-privacy -Wno-overlength-strings -Wno-invalid-offsetof -Wno-variadic-macros -Wcast-align -isysroot /Developer/SDKs/MacOSX10.6.sdk -fno-exceptions -fno-strict-aliasing -fno-common -fshort-wchar -ffunction-sections -fdata-sections -pthread -DNO_X11 -pipe  -DNDEBUG -DTRIMMED -g -O3 -fomit-frame-pointer   -DMOZILLA_CLIENT -include ../../../../mozilla-config.h -MD -MF .deps/nsPrivateBrowsingServiceWrapper.pp /builds/slave/try-osx64/build/browser/components/privatebrowsing/src/nsPrivateBrowsingServiceWrapper.cpp
nsIWebContentConverterRegistrar.idl
/tools/buildbot/bin/python2.7 /builds/slave/try-osx64/build/config/pythonpath.py \
          -I/builds/slave/try-osx64/build/other-licenses/ply \
          -I/builds/slave/try-osx64/build/xpcom/idl-parser \
          -I/builds/slave/try-osx64/build/xpcom/typelib/xpt/tools \
          /builds/slave/try-osx64/build/xpcom/idl-parser/typelib.py --cachedir=../../../../xpcom/idl-parser -I/builds/slave/try-osx64/build/browser/components/feeds/public -I../../../../dist/idl /builds/slave/try-osx64/build/browser/components/feeds/public/nsIWebContentConverterRegistrar.idl -d .deps/nsIWebContentConverterRegistrar.xpt.pp -o _xpidlgen/nsIWebContentConverterRegistrar.xpt
    mkdir(name, mode)
OSError: [Errno 17] File exists: '../../dist/bin/chrome/browser/content/browser'
make -C test libs
make[7]: *** [libs] Error 1
make[6]: *** [base_libs] Error 2
make[6]: *** Waiting for unfinished jobs....
Comment 1 Phil Ringnalda (:philor) 2012-05-23 11:47:38 PDT
Hitting these fairly often on other trees, too - we must have made building on 10.7 too fast :)

https://tbpl.mozilla.org/php/getParsedLog.php?id=11986127&full=1&branch=profiling#error0
https://tbpl.mozilla.org/php/getParsedLog.php?id=11982486&full=1&branch=mozilla-central#error0

for two nightlies today.
Comment 9 Phil Ringnalda (:philor) 2012-05-30 20:46:35 PDT
Give 'em enough time, even a blind Qt build will find an acorn race

https://tbpl.mozilla.org/php/getParsedLog.php?id=12218907&tree=Firefox
Comment 13 Mike Hommey [:glandium] 2012-06-12 05:56:55 PDT
Created attachment 632219 [details] [diff] [review]
Avoid race condition creating directories in JarMaker
Comment 15 Ted Mielczarek [:ted.mielczarek] 2012-06-12 09:28:45 PDT
Comment on attachment 632219 [details] [diff] [review]
Avoid race condition creating directories in JarMaker

Review of attachment 632219 [details] [diff] [review]:
-----------------------------------------------------------------

Thanks. I kept meaning to write this patch but not getting around to it.
Comment 16 Mike Hommey [:glandium] 2012-06-13 23:17:14 PDT
https://hg.mozilla.org/mozilla-central/rev/7625b37383fe
Comment 21 Ed Morley [:emorley] 2012-06-29 01:19:19 PDT
Mike/Ted: What are your thoughts about uplifting this to aurora/beta?
Comment 22 Mike Hommey [:glandium] 2012-06-29 01:22:39 PDT
Comment on attachment 632219 [details] [diff] [review]
Avoid race condition creating directories in JarMaker

[Approval Request Comment]
Bug caused by race condition when doing parallel builds
Impact if declined: builds randomly fail (albeit, not very often)
Testing completed (on m-c, etc.): has been on m-c for some time, now, and is a fairly trivial patch to the build system
Risk to taking this patch (and alternatives if risky): None
String or UUID changes made by this patch: None
Comment 23 Lukas Blakk [:lsblakk] use ?needinfo 2012-07-02 13:29:37 PDT
Comment on attachment 632219 [details] [diff] [review]
Avoid race condition creating directories in JarMaker

[Triage comment]
build system only patch, little to no risk, approving.

Note You need to log in before you can comment on or make changes to this bug.